For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Log inBook a demo
GuidesAPI Reference
GuidesAPI Reference
  • API Reference
      • GETGet Enrichment Source
      • POSTEnrichment Fields
      • POSTPreview Model
      • GETList Models
      • POSTCreate Model
      • GETGet Model
      • PUTUpdate Model
      • DELDelete Model
      • GETSample Records
Logo
Log inBook a demo
API ReferenceModels

Delete Model

DELETE
https://app.polytomic.com/api/models/:id
DELETE
/api/models/:id
$curl -X DELETE https://app.polytomic.com/api/models/248df4b7-aa70-47b8-a036-33ac447e668d \
> -H "Authorization: Bearer <token>"

Deletes a model.

🚧 Deleting a model used by one or more syncs will break those syncs. Remove or reconfigure any syncs that reference this model before deleting it.

Was this page helpful?
Previous

Sample Records

Next

Authentication

AuthorizationBearer
Bearer user API key
OR
AuthorizationBasic

Basic organization-scoped API key

Path parameters

idstringRequiredformat: "uuid"

Headers

X-Polytomic-VersionstringOptional

Query parameters

asyncbooleanOptional

Errors

403
Forbidden Error
404
Not Found Error
500
Internal Server Error